ColorFrom : x ->
Arg T : &RGBColor, 
    S : String

Let S._ = '#RRGGBB'._ && 
    S, 1, 1 = '#', ERR_PARAMETER

- Complete >T< R G B
' R <- S, 2, 2,
  G <- S, 4, 2,
  B <- S, 6, 2

/

Complete ColorFrom ->
Arg T : &RGBColor,
    R, G, B : String

Let IsNumeric( R, STR_0xFF ) &&
    IsNumeric( G, STR_0xFF ) &&
    IsNumeric( B, STR_0xFF ), ERR_PARAMETER

T = < 
      Red   : <- R, STR_0xFF,
      Green : <- G, STR_0xFF,
      Blue  : <- B, STR_0xFF
    >

/